#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gsettings-desktop-schemas-41.0

- Next

  rest-0.8.1

- Up
- Home

# libsecret-0.20.5

## Introduction to libsecret

The libsecret package contains a GObject based library for accessing the Secret Service API.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsecret/0.20/libsecret-0.20.5.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libsecret/0.20/libsecret-0.20.5.tar.xz

- Download MD5 sum: 5c9e5a011852c82fa9ed9e61ba91efb5

- Download size: 184 KB

- Estimated disk space required: 11 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### libsecret Dependencies

#### Required

GLib-2.70.4

#### Recommended

gobject-introspection-1.70.0, libgcrypt-1.10.0, and Vala-0.54.7

#### Optional

GTK-Doc-1.33.2 and docbook-xml-4.5, docbook-xsl-1.79.2, libxslt-1.1.35 (to build manual pages), and Valgrind-3.18.1 (can be used in tests)

#### Optional (Required for the testsuite)

D-Bus Python-1.2.18, Gjs-1.70.1, PyGObject-3.42.0 (Python 3 module), and tpm2-tss

#### Runtime Dependency

gnome-keyring-40.0

### Note

Any package requiring libsecret expects GNOME Keyring to be present at runtime.

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libsecret

## Installation of libsecret

Install libsecret by running the following commands:

    mkdir bld &&
    cd bld &&

    meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: ninja test, after the package is installed. The test suite should be run from a local GUI session started with dbus-launch.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=false`: Remove this if you have GTK-Doc-1.33.2 installed and want to rebuild the documentation with it.

`-Dmanpage=false`: Use this switch if you have not installed libxslt-1.1.35 and DocBook packages.

`-Dgcrypt=false`: Use this switch if you have not installed the recommended dependency of libgcrypt-1.10.0.

## Contents

Installed Program: secret-tool
Installed Library: libsecret-1.so
Installed Directories: /usr/include/libsecret-1 and /usr/share/gtk-doc/html/libsecret-1

### Short Descriptions

secret-tool | is a command line tool that can be used to store and retrieve passwords
`libsecret-1.so` | contains the libsecret API functions

Last updated on

- Prev

  gsettings-desktop-schemas-41.0

- Next

  rest-0.8.1

- Up
- Home